{% extends "layout/admin.html" %}
{% block page_title %}{{obj.domain|upper}}{% endblock %}
{% block title %}Panel de control{% endblock %}
{% block content %}
<div class="row">
  <div class="col s12 m6">
    <div class="card">
      <div class="card-content">
        <span class="card-title">
        {% if request.user.is_superuser %}
        <a href="{% url 'domains_change' web_pk %}" title="Cambiar de dominio" class="red-text">{{obj.domain|upper}}</a>
        {% else %}
        {{obj.domain|upper}}
        {% endif %}</span>

          <table class="highlight">
            <tbody>
              <tr>
                <td><b>Nombre</b></td>
                <td>{{obj.name}} <small>({{obj.get_status_display}})</small></td>
              </tr>
              </tr>
              <tr>
                <td><b>Idioma</b></td>
                <td>{{obj.get_language_display}} - {{obj.language|upper}}</td>
              </tr>
              <tr>
                <td><b>Plantilla</b></td>
                <td>{{obj.template}} <span style="background-color:#{{obj.color}}; color:#{{obj.color}};">COLOR</span></td>
              </tr>
              <tr>
                <td><b>Registrado</b></td>
                <td>{{obj.expires_at|date:"d-M-Y"}}</td>
              </tr>
              </tbody>
            </table>
      </div>
      <div class="card-action">
        <a href="{% url 'domains_info' web_pk %}" title="Editar configuración"><i class="fa fa-pencil"></i></a> <a href="{% url 'domains_design' web_pk %}" title="Diseño de la página web">Diseño</a> <a href="{% url 'webs_widget' web_pk %}" title="Estructura de la página">Estructura</a> <a href="{{obj.get_protocol_display}}{{obj.full_domain}}/start.php?c={{obj.code}}&a={{obj.pk}}" class="green-text darken-3" target="_blank" title="Publicar" ><i class="fa fa-cloud-upload"></i> </a> {% if request.user.is_superuser %}
       <a href="{% url 'change_owner' web_pk %}" title="Transferir a otro usuario" class="orange-text" > <i class="fa fa-exchange"></i></a>{% endif %}
      </div>
    </div>
    <div class="card-panel text-center">
      {% if obj.company_type == 't' %}
      <a href="{% url 'webforms_tours' web_pk %}" class="btn blue" title="Reservas de tours">Reservas de tour</a>
      {% endif %}
      {% if obj.company_type == 'h' %}
      <a href="{% url 'webforms_rooms' web_pk %}" class="btn blue" title="Reservas de Habitaciónes">Reservas de Habitaciónes</a>
      {% endif %}
      {% if obj.webmail %}
      <a href="{{web_protocol|yesno:"https://,http://" }}{{ web_domain }}/webmail" class="btn green" target="_blank" title="Web mail">IR A WEBMAIL</a>
      {% endif %}
    </div>
  </div>
  <div class="col s12 m6">
    <div class="card">
      <div class="card-content ">
        <span class="card-title">Información de contacto</span>
        <table class="highlight">
          <tbody>
            <tr>
              <td><b>Telefono(s):</b></td>
              <td>{{obj.phone}} / {{obj.phones}}</td>
            </tr>
            <tr>
              <td><b>Móvil(es):</b></td>
              <td>{{obj.mobile}} / {{obj.mobiles}}</td>
            </tr>
            <tr>
              <td><b>E-mail(1):</b></td>
              <td>{{obj.email_first}}</td>
            </tr>
            {% if obj.email_second %}
            <tr>
              <td><b>E-mail(2):</b></td>
              <td>{{obj.email_second}}</td>
            </tr>
            {% endif %}
          </tbody>
        </table>
      </div>
      <div class="card-action">
        <a href="{% url 'domains_contact' web_pk %}" ><i class="fa fa-pencil"></i></a>  <a href="{% url 'reports_notfound' web_pk %}" title="Reporte de Error 404"> <i class="fa fa-list"></i> 404</a> <a href="{% url 'redirects' web_pk %}" title="Redirecciones 301"> <i class="fa fa-list"></i> 301</a> <a href="{{obj.get_protocol_display}}{{obj.full_domain}}/?level=3" class="red-text" title="Refrescar Página web" target="_blank"><i class="fa fa-refresh"></i> Cache</a>
      </div>
    </div>
    <div class="card">
      <div class="card-content">
        <span class="card-title">Idioma{% if obj.multi_language %}s
        <a href="{% url 'translations_new' web_pk %}" class="right blue-text" title="Agregar un Idioma"><i class="fa fa-plus"></i></a>
        {% endif %}</span>
      {% for translate in translations %}
        <p><a href="{% url 'translations_detail' web_pk translate.id %}" title="Detalle del Idioma"><b>{{translate.language}}</b> <small>{{translate.title}}</small></a>
        <span class="secondary-content">
          <a href="{% url 'translations_update' web_pk translate.id %}" title="Actualizar del Idioma"><i class="fa fa-pencil"></i></a>
           <a href="{% url 'translations_seo' web_pk translate.id %}" title="Optimizar para buscadores"><i class="fa fa-search"></i></a>
        </span>
        </p>
      {% endfor %}
      </div>
    </div>
  </div>
</div>
{% endblock %}